//@formatter:off
package com.ejie.aa21b.service;

import java.util.ArrayList;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ejie.aa21b.dao.Aa21b22s01Dao;
import com.ejie.aa21b.model.Aa21b20s01;

/**
 * Aa21b20s01ServiceImpl  
 * 
 *  
 */
@Service(value = "aa21b22s01Service")
public class Aa21b22s01ServiceImpl implements Aa21b22s01Service {

	@Autowired
	private Aa21b22s01Dao aa21b22s01Dao;

	// @Autowired
	// private ComunDao comunDao;
	@Override
	public ArrayList<Object> updateAsociados(
			ArrayList<String> listaExpAsociados,
			ArrayList<String> listaExpDesasociados, Aa21b20s01 expediente) {
		return this.aa21b22s01Dao.updateAsociados(listaExpAsociados,
				listaExpDesasociados, expediente);
	}

	@Override
	public void removeAsociados(ArrayList<String> listaDesasociar,
			Aa21b20s01 expediente) {
		this.aa21b22s01Dao.removeAsociados(listaDesasociar, expediente);
	}

	@Override
	public void removeAsociados(Aa21b20s01 expediente) {
		this.aa21b22s01Dao.removeAsociados(expediente);
	}

	/**
	 * Updates a single row in the Aa21b22s01 table.
	 * 
	 * @param expAModificar
	 *            String
	 * @param expEliminarGrupo
	 *            String
	 * @return
	 */
	@Override
	public void eliminarExpAsociadoGrupo(String expAModificar,
			String expEliminarGrupo) {
		this.aa21b22s01Dao.eliminarExpAsociadoGrupo(expAModificar,
				expEliminarGrupo);
	}

}